using System;
using System.Runtime.Serialization;

namespace Com.Bocom.OpenApi
{
    namespace Response
    {
        [Serializable]
        [DataContract]
        public class IntegralExchangeCreateUrlResponseV1 : BocomResponse
        {
            private string decryptKey;

            /**
             * @return the decrptKey
             */
            public string GetDecryptKey()
            {
                return decryptKey;
            }

            /**
             * @param decrptKey
             *            the decrptKey to set
             */
            public void SetDecryptKey(string decryptKey)
            {
                this.decryptKey = decryptKey;
            }

            public string Decrypt(string data, string encryptType, string key, string charset)
            {
                return BocomEncrypt.SymmetricalDecrypt(data, encryptType, key, charset);
            }

            //H5页面地址

            [DataMember]
            public string url { get; set; }


            public override string ToString()
            {
                return "url: " + url + " ";
            }
        }
    }
}